Loading...
Searching...
No Matches
Magick::DrawableTextKerning Class Reference
Inheritance diagram for Magick::DrawableTextKerning:

## Public Member Functions

| DrawableTextKerning (double kerning_)
void | operator() (MagickCore::DrawingWand *context_) const
void | kerning (double kerning_)
double | kerning (void) const
DrawableBase * | copy () const

## Private Attributes

double | _kerning

## Detailed Description

Definition at line 2202 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableTextKerning()

Magick::DrawableTextKerning::DrawableTextKerning | ( | double | kerning_ | ) |

Definition at line 1665 of file Drawable.cpp.

: _kerning(kerning_)
{
}

## ~DrawableTextKerning()

Magick::DrawableTextKerning::~DrawableTextKerning | ( | void |  | ) |

Definition at line 1671 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableTextKerning::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1691 of file Drawable.cpp.

{
return new DrawableTextKerning(*this);
}

## kerning() [1/2]

void Magick::DrawableTextKerning::kerning | ( | double | kerning_ | ) |

Definition at line 1681 of file Drawable.cpp.

{
_kerning=kerning_;
}

## kerning() [2/2]

double Magick::DrawableTextKerning::kerning | ( | void |  | ) | const

Definition at line 1686 of file Drawable.cpp.

{
return(_kerning);
}

## operator()()

void Magick::DrawableTextKerning::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1675 of file Drawable.cpp.

{
DrawSetTextKerning(context_,_kerning);
}

## Field Documentation

## _kerning

double Magick::DrawableTextKerning::_kerning

private

Definition at line 2218 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp